extends GameBall

const INFO_FMT := "speed: {0} m/s\nang.spd: {1}\nsurface: {2}\ntime: {3} s"

@onready var debug_info: Label3D = %DebugInfo


func _physics_process(delta: float) -> void:
	super._physics_process(delta)

	debug_info.text = INFO_FMT.format(
		[
			linear_velocity.length(),
			angular_velocity.length(),
			Terrain.Type.keys()[_surface_terrain],
			_shot_time_s
		]
	)
